using System;

[Serializable]
public class VisualBlueprintReferenceData {

  public string name;
  public string blueprintObjectPath;
  public string dependenciesPath;

  public VisualBlueprintReferenceData(string name, string blueprintObjectPath, string dependencies) {
    this.name = name;
    this.blueprintObjectPath = blueprintObjectPath;
    this.dependenciesPath = dependencies;
  }

  public string GetName() {
    return this.name;
  }

  public string GetBlueprintObjectPath() {
    return this.blueprintObjectPath;
  }

  public string GetDependenciesPath() {
    return this.dependenciesPath;
  }
}
